  ############################################################################
  ## 
  ##  common.mk  
  ## 
  ##
  ##  AgentX++ v1.4.17
  ##  -------------------------------------
  ##  Copyright (C) 2000-2009 - Frank Fock
  ##  
  ##  Use of this software is subject to the license agreement you received
  ##  with this software and which can be downloaded from 
  ##  http:/www.agentpp.com
  ##
  ##  This is licensed software and may not be used in a commercial
  ##  environment, except for evaluation purposes, unless a valid
  ##  license has been purchased.
  ##
  ##  Last updated: Tue May 26 23:31:10 CEST 2009 
  ##  
  ##########################################################################*

INCLUDE		= -I../include -I../../../include \
		  -I../../../../agent++/include \
		  -I../../../../snmp++/include

SNMPLIBPATH     = ../../../../snmp++/lib
AGENTLIBPATH	= ../../../../agent++/lib
AGENTXLIBPATH   = ../../../lib
LIBDESPATH  	= ../../../../libdes
LIBTOMCRYPTPATH	= ../../../../crypt

LIBDES		= $(LIBDESPATH)/libdes.a
LIBTOMCRYPT	= $(LIBTOMCRYPTPATH)/libtomcrypt.a

# Set crypto lib to use
ifneq ($(wildcard $(LIBTOMCRYPT)),)
CRYPTOLIB	= -L$(LIBTOMCRYPTPATH) -ltomcrypt
else
ifneq ($(wildcard $(LIBDES)),)
CRYPTOLIB	= -L$(LIBDESPATH) -ldes
else
CRYPTOLIB	=
endif
endif

LIB	        = -L$(AGENTLIBPATH) -L$(SNMPLIBPATH) \
		  -L$(AGENTXLIBPATH) \
		  -lpthread -lagentx++ -lagent++ -lsnmp++ \
		  $(CRYPTOLIB) $(SYSLIBS)

AGENTOBJ	= master.o

EXECUTABLE	= master

all:		$(EXECUTABLE)

clean:  
	$(RM) *.o *~ ../include/*~

clobber: clean
	$(RM) $(EXECUTABLE)

#compile rules
.SUFFIXES:	.cpp

$(EXECUTABLE):  $(AGENTOBJ) $(SNMPLIBPATH)/libsnmp++.a \
		$(AGENTLIBPATH)/libagent++.a $(AGENTXLIBPATH)/libagentx++.a
		$(CPP) $(CFLAGS) -o $@ $(AGENTOBJ) $(LIB) 

%.o:		%.cpp $(HEADERS)
		$(RM) $@
		$(CPP) $(CFLAGS) $(CLINK) $@ $(INCLUDE) $< 

